# Module: `src\openai_compatible.py`

Auto-generated from source. 2 struct(s) defined in this module.

## `src\openai_compatible.py::NormalizedResponse`

**Kind:** `dataclass`
**Defined at:** line 10

**Fields:**
- `text: str`
- `tool_calls: list[dict[str, Any]]`
- `usage_input_tokens: int`
- `usage_output_tokens: int`
- `usage_cache_read_tokens: int`
- `usage_cache_creation_tokens: int`
- `raw_response: Any`


## `src\openai_compatible.py::OpenAICompatibleRequest`

**Kind:** `dataclass`
**Defined at:** line 20

**Fields:**
- `messages: list[dict[str, Any]]`
- `model: str`
- `temperature: float`
- `top_p: float`
- `max_tokens: int`
- `tools: Optional[list[dict[str, Any]]]`
- `tool_choice: str`
- `stream: bool`
- `stream_callback: Optional[Callable[[str], None]]`
- `extra_body: Optional[dict[str, Any]]`

